%global packname  tidyr
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.8.3
Release:          3%{?dist}
Summary:          Easily Tidy Data with 'spread()' and 'gather()' Functions

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-dplyr >= 0.7.0, R-glue, R-magrittr, R-purrr, R-Rcpp, R-rlang, R-stringi, R-tibble, R-tidyselect >= 0.2.5, R-utils
# Suggests:  R-covr, R-gapminder, R-knitr, R-rmarkdown, R-testthat
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-dplyr >= 0.7.0
BuildRequires:    R-glue
BuildRequires:    R-magrittr
BuildRequires:    R-purrr
BuildRequires:    R-Rcpp-devel
BuildRequires:    R-rlang
BuildRequires:    R-stringi
BuildRequires:    R-tibble
BuildRequires:    R-tidyselect >= 0.2.5
BuildRequires:    R-utils
BuildRequires:    R-gapminder
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
BuildRequires:    R-testthat

%description
An evolution of 'reshape2'. It's designed specifically for data tidying (not
general reshaping or aggregating) and works well with 'dplyr' data pipelines.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/demo


%changelog
* Sun Aug 11 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.3-3
- Remove explicit dependencies provided by automatic dependency generator

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 24 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.3-1
- initial package for Fedora
